Summary
Get Device Backup List
Description
Fetches backups, requires an options payload. An empty option payload will return the first 25 documents
Route
POST /configuration_manager/backups
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| options |
object |
yes |
options payload for querying backup documents |
Copied to Clipboard
{
"options": {
"start": 0,
"limit": 20,
"regex": true,
"filter": {
"name": "exercitation sunt do"
},
"sort": {
"name": -1,
"date": -1
}
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"options": {
"title": "options",
"type": "object",
"properties": {
"start": {
"type": "integer",
"minimum": 0,
"examples": [
0
]
},
"limit": {
"type": "integer",
"minimum": 1,
"examples": [
20
]
},
"regex": {
"type": "boolean"
},
"filter": {
"type": "object",
"properties": {
"name": {
"type": "string"
}
}
},
"sort": {
"type": "object",
"properties": {
"name": {
"enum": [
-1,
1
]
},
"date": {
"enum": [
-1,
1
]
}
}
}
}
}
},
"required": [
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| backups |
object |
List of all backups and the total |
Copied to Clipboard
{
"total": 5031780,
"list": [
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "elit",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"2323edee63be520f45e3a6b3",
"9c0283db43066a47068f25db"
],
"read": [
"38b0ec74d719a372dcb799f6"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "qui ex dolore mollit",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [],
"read": [
"6b6fc3e98dc96ba1b997f4d3",
"991c5e9e9567a0e47d61d69a"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "ipsum dolor",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"3a0f8cd794688be89007ee73",
"2dfb6a37228315e48304a127"
],
"read": [
"ca7ed992536d0cea28ff9113",
"21fe50319dda0299f72ccfc1"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "exercitation minim mollit",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"70f14cc98055ec0e37f7454c"
],
"read": [
"6a91feb3142b6c2ec2d2596b"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "sit magna Ut non in",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"c86b1efa729b40be8f651098",
"f7801c4eb94c7141bbea9ae0"
],
"read": [
"868369ad3ef5392623751e29",
"73ac32cd59e7854d2ae1f75c"
]
}
}
]
}
Copied to Clipboard
{
"title": "backups",
"type": "object",
"properties": {
"total": {
"type": "integer",
"minimum": 0
},
"list": {
"type": "array",
"items": {
"$ref": "deviceData#/definitions/backup"
}
}
}
}